<?php
 //menggunakan class phpExcelReader
 include "reader.php";
 
$host="103.29.196.246";
$username="rtmklungkung";
$password="s4r1bh4kt1m33n1ng";
$database="rtmklungkung_db_model";

mysql_connect($host,$username,$password);
mysql_select_db($database);
 
 $data = new Spreadsheet_Excel_Reader($_FILES['userfile']['tmp_name']);
 $baris = $data->rowcount($sheet_index=0);
 
 for ($i=2; $i<=$baris; $i++) {
 $id = $data->val($i,1);
 $kecamatan = $data->val($i,2);
 $desa = $data->val($i,3);
 $alamat = $data->val($i,4);
 $nama_kk = $data->val($i,5);
 $jenis_kelamin = $data->val($i,6);
 $umur_kk = $data->val($i,7);
 $pendidikan = $data->val($i,8);
 $lapangan_usaha = $data->val($i,9);
 $kedudukan_pekerjaan = $data->val($i,10);
 $status_tempat_tinggal = $data->val($i,11);
 $status_lahan_tinggal = $data->val($i,12);
 $luas_lantai = $data->val($i,13);
 $jenis_lantai = $data->val($i,14);
 $jenis_dinding = $data->val($i,15);
 $kondisi_dinding = $data->val($i,16);
 $jenis_atap = $data->val($i,17);
 $kondisi_atap = $data->val($i,18);
 $jumlah_kamar = $data->val($i,19);
 $sumber_air = $data->val($i,20);
 $memperoleh_air = $data->val($i,21);
 $sumber_penerangan = $data->val($i,22);
 $daya_listrik = $data->val($i,23);	
 $bahan_bakar = $data->val($i,24);	
 $fasilitas_bab = $data->val($i,25);	
 $jenis_kloset = $data->val($i,26);	
 $pembuangan_tinja = $data->val($i,27);	
 $tabung_gas = $data->val($i,28);	
 $kulkas = $data->val($i,29);	
 $ac = $data->val($i,30);	
 $pemanas_air = $data->val($i,31);	
 $telepon = $data->val($i,32);	
 $televisi = $data->val($i,33);	
 $emas = $data->val($i,34);
 $komputer = $data->val($i,35);
 $sepeda = $data->val($i,36);
 $sepeda_motor = $data->val($i,37);
 $mobil = $data->val($i,38);
 $perahu = $data->val($i,39);
 $motor_tempel = $data->val($i,40);
 $perahu_motor = $data->val($i,41);
 $kapal = $data->val($i,42);
 $hp_aktif = $data->val($i,43);
 $tv_layar_datar = $data->val($i,44);
 $aset_lahan = $data->val($i,45);
 $luas_lahan = $data->val($i,46);
 $rumah_lain = $data->val($i,47);
 $jumlah_sapi = $data->val($i,48);
 $jumlah_kerbau = $data->val($i,49);
 $jumlah_kuda = $data->val($i,50);
 $jumlah_babi = $data->val($i,51);
 $jumlah_kambing = $data->val($i,52);
 $usaha_sendiri = $data->val($i,53);
 $kks = $data->val($i,54);
 $kip = $data->val($i,55);
 $pkh = $data->val($i,56);
 $raskin = $data->val($i,57);
 $kur = $data->val($i,58);
 $jumlah_art = $data->val($i,59);
 $jumlah_keluarga = $data->val($i,60);
 $status_kesejahteraan = $data->val($i,61);

	 $query = "insert into tb_rumah_tangga_2017 (id_kk, kecamatan, desa, alamat, nama_kk, jenis_kelamin, umur_kk, pendidikan, lapangan_usaha, kedudukan_pekerjaan, status_tempat_tinggal, status_lahan_tinggal, luas_lantai, jenis_lantai, jenis_dinding, kondisi_dinding, jenis_atap, kondisi_atap, jumlah_kamar, sumber_air, memperoleh_air, sumber_penerangan, daya_listrik, bahan_bakar, fasilitas_bab, jenis_kloset, pembuangan_tinja, tabung_gas, kulkas, ac, pemanas_air, telepon, televisi, emas, komputer, sepeda, sepeda_motor, mobil, perahu, motor_tempel, perahu_motor, kapal, hp_aktif, tv_layar_datar, aset_lahan, luas_lahan, rumah_lain, jumlah_sapi, jumlah_kerbau, jumlah_kuda, jumlah_babi, jumlah_kambing, usaha_sendiri, kks, kip, pkh, raskin, kur, jumlah_art, jumlah_keluarga, status_kesejahteraan) values ('$id', '$kecamatan', '$desa', '$alamat', '$nama_kk', '$jenis_kelamin', '$umur_kk', '$pendidikan', '$lapangan_usaha', '$kedudukan_pekerjaan', '$status_tempat_tinggal', '$status_lahan_tinggal', '$luas_lantai', '$jenis_lantai', '$jenis_dinding', '$kondisi_dinding', '$jenis_atap', '$kondisi_atap', '$jumlah_kamar', '$sumber_air', '$memperoleh_air', '$sumber_penerangan', '$daya_listrik', '$bahan_bakar', '$fasilitas_bab', '$jenis_kloset', '$pembuangan_tinja', '$tabung_gas', '$kulkas', '$ac', '$pemanas_air', '$telepon', '$televisi', '$emas', '$komputer', '$sepeda', '$sepeda_motor', '$mobil', '$perahu', '$motor_tempel', '$perahu_motor', '$kapal', '$hp_aktif', '$tv_layar_datar', '$aset_lahan', '$luas_lahan', '$rumah_lain', '$jumlah_sapi', '$jumlah_kerbau', '$jumlah_kuda', '$jumlah_babi', '$jumlah_kambing', '$usaha_sendiri', '$kks', '$kip', '$pkh', '$raskin', '$kur', '$jumlah_art', '$jumlah_keluarga', '$status_kesejahteraan')";
	 $hasil = mysql_query($query);
	//echo $query; 
	}
 
?>